Webhook-Einstellungen aktualisieren
curl --request PUT \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
}
}
'import requests
url = "https://api.hubapi.com/webhooks/2026-03/{appId}/settings"
payload = {
"targetUrl": "<string>",
"throttling": { "maxConcurrentRequests": 123 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetUrl: '<string>', throttling: {maxConcurrentRequests: 123}})
};
fetch('https://api.hubapi.com/webhooks/2026-03/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Webhooks
Update webhook settings
Aktualisieren Sie die Webhook-Einstellungen für die angegebene App.
PUT
/
webhooks
/
2026-03
/
{appId}
/
settings
Webhook-Einstellungen aktualisieren
Supported products
Supported products
Autorisierungen
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Die ID für die App.
Body
application/json
Antwort
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Webhook-Einstellungen im ISO-8601-Format erstellt wurden.
Die URL, an die die Webhook-Events gesendet werden. Dies ist eine Zeichenfolge.
Show child attributes
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Webhook-Einstellungen zuletzt aktualisiert wurden (Format ISO 8601).
Zuletzt geändert am 1. April 2026
⌘I